Integrations API

Queues

GET
/v1/queues

Authorization

headerAuthorization<token>

Response Body

A list of queues for the organization

application/json
  1. response
data*array<Queue>
paging?
curl -X GET 'https://example.com/v1/queues' \  -H 'Authorization: <API token>'
{
"data": [
{
"id": "string",
"name": "string",
"is_default": true,
"priority": 0
}
],
"paging": {
"cursors": {
"after": "string",
"before": "string"
},
"next_page": "string",
"prev_page": "string"
}
}

Get a queue by id

Deprecated
GET
/v1/queues/{id}

Authorization

headerAuthorization<token>

Path Parameters

id*string

Response Body

A successful response with a queue

application/json
  1. response
data*Queue
curl -X GET 'https://example.com/v1/queues/{id}' \  -H 'Authorization: <API token>'
{
"data": {
"id": "string",
"name": "string",
"is_default": true,
"priority": 0
}
}